mod aoc2021;

use std::fs;

fn main() {

    let input_day01 = fs::read_to_string("src/aoc2021/day01/input.txt").expect("Error on reading file.");
    let result_day01_task1 = aoc2021::day01::task_one(&input_day01);
    let result_day01_task2 = aoc2021::day01::task_two(&input_day01);
    println!("AOC2021 Day 01 \t Task 1: {},\t\tTask 2: {}", result_day01_task1, result_day01_task2);

    let input_day02 = fs::read_to_string("src/aoc2021/day02/input.txt").expect("Error on reading file.");
    let result_day02_task1 = aoc2021::day02::task_one(&input_day02);
    let result_day02_task2 = aoc2021::day02::task_two(&input_day02);
    println!("AOC2021 Day 02 \t Task 1: {},\tTask 2: {}", result_day02_task1, result_day02_task2);

    let input_day03 = fs::read_to_string("src/aoc2021/day03/input.txt").expect("Error on reading file.");
    let result_day03_task1 = aoc2021::day03::task_one(&input_day03);
    let result_day03_task2 = aoc2021::day03::task_two(&input_day03);
    println!("AOC2021 Day 03 \t Task 1: {},\tTask 2: {}", result_day03_task1, result_day03_task2);

    let input_day04 = fs::read_to_string("src/aoc2021/day04/input.txt").expect("Error on reading file.");
    let result_day04_task1 = aoc2021::day04::task_one(&input_day04);
    let result_day04_task2 = aoc2021::day04::task_two(&input_day04);
    println!("AOC2021 Day 04 \t Task 1: {},\t\tTask 2: {}", result_day04_task1, result_day04_task2);
}
